<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HPSFPropertiesExtractor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HPSFPropertiesExtractor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HPSFPropertiesExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="HPSFPropertiesExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.extractor.POIOLE2TextExtractor">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hpsf.extractor</div>
    <h2 title="Class HPSFPropertiesExtractor" class="title">Class HPSFPropertiesExtractor</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                       title="class in org.apache.poi.extractor">org.apache.poi.extractor.POITextExtractor</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                               title="class in org.apache.poi.extractor">org.apache.poi.extractor.POIOLE2TextExtractor</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hpsf.extractor.HPSFPropertiesExtractor</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable</dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HPSFPropertiesExtractor</span>
extends <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
           title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></pre>
                <div class="block">Extracts all of the HPSF properties, both
                    build in and custom, returning them in
                    textual form.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.extractor.POIOLE2TextExtractor">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.extractor.<a
                                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                        title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#document">document</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html#HPSFPropertiesExtractor-org.apache.poi.POIDocument-">HPSFPropertiesExtractor</a></span>(<a
                                        href="../../../../../org/apache/poi/POIDocument.html"
                                        title="class in org.apache.poi">POIDocument</a>&nbsp;doc)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html#HPSFPropertiesExtractor-org.apache.poi.poifs.filesystem.POIFSFileSystem-">HPSFPropertiesExtractor</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html#HPSFPropertiesExtractor-org.apache.poi.extractor.POIOLE2TextExtractor-">HPSFPropertiesExtractor</a></span>(<a
                                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                        title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;mainExtractor)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html#getDocumentSummaryInformationText--">getDocumentSummaryInformationText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></span>()</code>
                                    <div class="block">Prevent recursion!</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html#getSummaryInformationText--">getSummaryInformationText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html#getText--">getText</a></span>()</code>
                                    <div class="block">Retrieves all the text from the document.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.extractor.POIOLE2TextExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.extractor.<a
                                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                        title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getDocSummaryInformation--">getDocSummaryInformation</a>,
                                    <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getDocument--">getDocument</a>,
                                    <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getRoot--">getRoot</a>,
                                    <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getSummaryInformation--">getSummaryInformation</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.extractor.POITextExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.extractor.<a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a></h3>
                                <code><a href="../../../../../org/apache/poi/extractor/POITextExtractor.html#close--">close</a>,
                                    <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html#setFilesystem-java.io.Closeable-">setFilesystem</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HPSFPropertiesExtractor-org.apache.poi.extractor.POIOLE2TextExtractor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HPSFPropertiesExtractor</h4>
                                <pre>public&nbsp;HPSFPropertiesExtractor(<a
                                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                        title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;mainExtractor)</pre>
                            </li>
                        </ul>
                        <a name="HPSFPropertiesExtractor-org.apache.poi.POIDocument-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HPSFPropertiesExtractor</h4>
                                <pre>public&nbsp;HPSFPropertiesExtractor(<a
                                        href="../../../../../org/apache/poi/POIDocument.html"
                                        title="class in org.apache.poi">POIDocument</a>&nbsp;doc)</pre>
                            </li>
                        </ul>
                        <a name="HPSFPropertiesExtractor-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HPSFPropertiesExtractor</h4>
                                <pre>public&nbsp;HPSFPropertiesExtractor(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getDocumentSummaryInformationText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDocumentSummaryInformationText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getDocumentSummaryInformationText()</pre>
                            </li>
                        </ul>
                        <a name="getSummaryInformationText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSummaryInformationText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getSummaryInformationText()</pre>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html#getText--">POITextExtractor</a></code></span>
                                </div>
                                <div class="block">Retrieves all the text from the document.
                                    How cells, paragraphs etc are separated in the text
                                    is implementation specific - see the javadocs for
                                    a specific project for details.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/extractor/POITextExtractor.html#getText--">getText</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                                title="class in org.apache.poi.extractor">POITextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the text of all the properties defined in
                                        the document.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMetadataTextExtractor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMetadataTextExtractor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                                    title="class in org.apache.poi.extractor">POITextExtractor</a>&nbsp;getMetadataTextExtractor()</pre>
                                <div class="block">Prevent recursion!</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an instance of POIExtractor that can extract meta-data.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="main-java.lang.String:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>main</h4>
                                <pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)
                 throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HPSFPropertiesExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="HPSFPropertiesExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.extractor.POIOLE2TextExtractor">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
